#  Build a React.js CRUD App with JavaScript Fetch API

In this tutorial, you'll learn how to build a React.js CRUD application with JavaScript Fetch API, tailwind CSS, and React-Hook-Form. This app will leverage Fetch API to perform CRUD (CREATE, READ, UPDATE, DELETE) operations against a RESTful API via HTTP protocol.

![Build a React.js CRUD App with JavaScript Fetch API](https://codevoweb.com/wp-content/uploads/2022/11/Build-a-React.js-CRUD-App-with-JavaScript-Fetch-API.webp)

## Topics Covered

- Run the Deno CRUD API Locally
- Run the React Fetch API App Locally
- Setup the React.js Project
    - Bootstrap React Project with Vite
    - Set up Tailwind CSS
- Add Zustand State Manager
- Create Reusable Components
- Add the CRUD Components
    - Implement the CREATE Operation
    - Implement the UPDATE Operation
    - Implement the DELETE Operation
    - Implement the READ Operation
- Test the CRUD App
    - CREATE CRUD Functionality
    - READ CRUD Functionality
    - UPDATE CRUD Functionality
    - DELETE CRUD Functionality


Read the entire article here: [https://codevoweb.com/build-a-reactjs-crud-app-with-javascript-fetch-api/](https://codevoweb.com/build-a-reactjs-crud-app-with-javascript-fetch-api/)

